summaryrefslogtreecommitdiffstats
path: root/source/l/libcaca/libcaca.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libcaca/libcaca.SlackBuild')
-rwxr-xr-xsource/l/libcaca/libcaca.SlackBuild12
1 files changed, 10 insertions, 2 deletions
diff --git a/source/l/libcaca/libcaca.SlackBuild b/source/l/libcaca/libcaca.SlackBuild
index 6c1ff0d30..6c039313c 100755
--- a/source/l/libcaca/libcaca.SlackBuild
+++ b/source/l/libcaca/libcaca.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2017, 2018, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libcaca
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-11}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,7 +78,15 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix build failure:
+cat $CWD/libcaca.git.20211207.patch | patch -p1 --verbose || exit 1
+cat $CWD/70.patch | patch -p1 --verbose || exit 1
+
+# Fix crash bug:
+cat $CWD/libcaca-0.99.beta20-CVE-2022-0856.patch | patch -p1 --verbose || exit 1
+
# Configure:
+autoreconf -vif
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \